Subject: bug#29776: closed (Re: bug#29776: [core-updates] gawk fails test suite on armhf)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Dec 2017 22:54:01 +0000

Your bug report

#29776: [core-updates] gawk fails test suite on armhf

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29776: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29776
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29776: [core-updates] gawk fails test suite on armhf
From: Mark H Weaver <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Dec 2017 17:53:08 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Mark H Weaver <[email-masked]> writes:
>
>> On core-updates, 'gawk' fails to build on armhf:
>>
>>   https://hydra.gnu.org/build/2392045
>
> I tried restarting this (again), and it succeeded:
>
> https://hydra.gnu.org/build/2392045
>
> Maybe there's something specific to hydra-slave3, which had failed three
> times in a row?  The successful build came from hydra-slave1.

You're right.  hydra-slave3's kernel was in a bad state, with lots of
errors in the 'dmesg' output about unaligned accesses.  I rebooted it.
I'm closing this bug now.

     Thanks!
       Mark

Subject: [core-updates] gawk fails test suite on armhf
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Tue, 19 Dec 2017 18:34:21 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On core-updates, 'gawk' fails to build on armhf:

  https://hydra.gnu.org/build/2392045

Here's the tail of the build log:

--8<---------------cut here---------------start------------->8---
make[2]: Entering directory '/tmp/guix-build-gawk-4.1.4.drv-0/gawk-4.1.4/test'
1 TESTS FAILED
make[2]: *** [Makefile:4128: pass-fail] Error 1
make[2]: Leaving directory '/tmp/guix-build-gawk-4.1.4.drv-0/gawk-4.1.4/test'
make[2]: Entering directory '/tmp/guix-build-gawk-4.1.4.drv-0/gawk-4.1.4/test'
for i in _* ; \
do  \
	if [ "$i" != "_*" ]; then \
	echo ============== $i ============= ; \
	base=`echo $i | sed 's/^_//'` ; \
	if [ -r ${base}.ok ]; then \
	diff -c ${base}.ok $i ; \
	else \
	diff -c "."/${base}.ok  $i ; \
	fi ; \
	fi ; \
done 
============== _pty1 =============
*** pty1.ok	2014-01-20 19:53:01.000000000 +0000
--- _pty1	2017-12-19 09:34:25.516824947 +0000
***************
*** 1,2 ****
! 123
! x is abc
--- 1,4 ----
! sh: /dev/tty: No such device or address
! sh: /dev/tty: No such device or address
! x is 
! x is 
make[2]: *** [Makefile:4137: diffout] Error 1
make[2]: Leaving directory '/tmp/guix-build-gawk-4.1.4.drv-0/gawk-4.1.4/test'
make[1]: *** [Makefile:1651: check] Error 1
make[1]: Leaving directory '/tmp/guix-build-gawk-4.1.4.drv-0/gawk-4.1.4/test'
make: *** [Makefile:742: check-recursive] Error 1
phase `check' failed after 49.9 seconds
builder for `/gnu/store/9f8adlrb6y8f1q0zfzk49x05ly4r6lp4-gawk-4.1.4.drv' failed with exit code 1
@ build-failed /gnu/store/9f8adlrb6y8f1q0zfzk49x05ly4r6lp4-gawk-4.1.4.drv - 1 builder for `/gnu/store/9f8adlrb6y8f1q0zfzk49x05ly4r6lp4-gawk-4.1.4.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

        Mark